com.google.gwt.cell.client

## Class SafeHtmlCell

- java.lang.Object
- - com.google.gwt.cell.client.AbstractCell<SafeHtml>
  - - com.google.gwt.cell.client.SafeHtmlCell

All Implemented Interfaces:
  Cell<SafeHtml>

    public class SafeHtmlCell
    extends AbstractCell<SafeHtml>

A `Cell` used to render safe HTML markup.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell

`Cell.Context`

### Constructor Summary

Constructors
Constructor and Description
`SafeHtmlCell()` Construct a new SafeHtmlCell.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `render(Cell.Context context, SafeHtml value, SafeHtmlBuilder sb)` Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

### Methods inherited from class com.google.gwt.cell.client.AbstractCell

`dependsOnSelection, getConsumedEvents, handlesSelection, isEditing, onBrowserEvent, onEnterKeyDown, resetFocus, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SafeHtmlCell

    public SafeHtmlCell()

Construct a new SafeHtmlCell.

### Method Detail

#### render

    public void render(Cell.Context context,
                       SafeHtml value,
                       SafeHtmlBuilder sb)

Description copied from interface: `Cell`
Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

Note: If your cell contains natively focusable elements, such as buttons or input elements, be sure to set the tabIndex to -1 so that they do not steal focus away from the containing widget.

Specified by:
  `render` in interface `Cell<SafeHtml>`
Specified by:
  `render` in class `AbstractCell<SafeHtml>`
Parameters:
  `context` - the `Cell.Context` of the cell
  `value` - the cell value to be rendered
  `sb` - the `SafeHtmlBuilder` to be written to